org.apache.cassandra.db

## Class DeletionTime.Serializer

- java.lang.Object
- - org.apache.cassandra.db.DeletionTime.Serializer

All Implemented Interfaces:
  ISerializer<DeletionTime>

Enclosing class:
  DeletionTime

    public static class DeletionTime.Serializer
    extends java.lang.Object
    implements ISerializer<DeletionTime>

### Constructor Summary

Constructors
Constructor and Description
`Serializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DeletionTime` `deserialize(java.io.DataInput in)` Deserialize from the specified DataInput instance.
`void` `serialize(DeletionTime delTime, DataOutputPlus out)` Serialize the specified type into the specified DataOutput instance.
`long` `serializedSize(DeletionTime delTime, TypeSizes typeSizes)`
`void` `skip(java.io.DataInput in)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Serializer

    public Serializer()

### Method Detail

#### serialize

    public void serialize(DeletionTime delTime,
                          DataOutputPlus out)
                   throws java.io.IOException

Description copied from interface: `ISerializer`
Serialize the specified type into the specified DataOutput instance.

Specified by:
  `serialize` in interface `ISerializer<DeletionTime>`
Parameters:
  `delTime` - type that needs to be serialized
  `out` - DataOutput into which serialization needs to happen.
Throws:
  `java.io.IOException`

#### deserialize

    public DeletionTime deserialize(java.io.DataInput in)
                             throws java.io.IOException

Description copied from interface: `ISerializer`
Deserialize from the specified DataInput instance.

Specified by:
  `deserialize` in interface `ISerializer<DeletionTime>`
Parameters:
  `in` - DataInput from which deserialization needs to happen.
Returns:
  the type that was deserialized
Throws:
  `java.io.IOException`

#### skip

    public void skip(java.io.DataInput in)
              throws java.io.IOException

Throws:
  `java.io.IOException`

#### serializedSize

    public long serializedSize(DeletionTime delTime,
                               TypeSizes typeSizes)

Specified by:
  `serializedSize` in interface `ISerializer<DeletionTime>`